Package com.google.android.exoplayer2.source.hls.playlist

## Class HlsMasterPlaylist

- java.lang.Object
- - com.google.android.exoplayer2.source.hls.playlist.HlsPlaylist
  - - com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist
    - - com.google.android.exoplayer2.source.hls.playlist.HlsMasterPlaylist

- All Implemented Interfaces:
    `FilterableManifest<HlsPlaylist>`

      @Deprecated
      public final class HlsMasterPlaylist
      extends HlsMultivariantPlaylist

  Deprecated.
  Use `HlsMultivariantPlaylist` instead.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist

      `HlsMultivariantPlaylist.Rendition, HlsMultivariantPlaylist.Variant`

  - ### Field Summary

    - ### Fields inherited from class com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist

      `audios, closedCaptions, EMPTY, GROUP_INDEX_AUDIO, GROUP_INDEX_SUBTITLE, GROUP_INDEX_VARIANT, mediaPlaylistUrls, muxedAudioFormat, muxedCaptionFormats, sessionKeyDrmInitData, subtitles, variableDefinitions, variants, videos`

    - ### Fields inherited from class com.google.android.exoplayer2.source.hls.playlist.HlsPlaylist

      `baseUri, hasIndependentSegments, tags`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HlsMasterPlaylist​(String baseUri, List<String> tags, List<HlsMultivariantPlaylist.Variant> variants, List<HlsMultivariantPlaylist.Rendition> videos, List<HlsMultivariantPlaylist.Rendition> audios, List<HlsMultivariantPlaylist.Rendition> subtitles, List<HlsMultivariantPlaylist.Rendition> closedCaptions, Format muxedAudioFormat, List<Format> muxedCaptionFormats, boolean hasIndependentSegments, Map<String,​String> variableDefinitions, List<DrmInitData> sessionKeyDrmInitData)` | Deprecated. Use `HlsMultivariantPlaylist(java.lang.String, java.util.List<java.lang.String>, java.util.List<com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist.Variant>, java.util.List<com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist.Rendition>, java.util.List<com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist.Rendition>, java.util.List<com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist.Rendition>, java.util.List<com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist.Rendition>, com.google.android.exoplayer2.Format, java.util.List<com.google.android.exoplayer2.Format>, boolean, java.util.Map<java.lang.String, java.lang.String>, java.util.List<com.google.android.exoplayer2.drm.DrmInitData>)` instead.

  - ### Method Summary

    - ### Methods inherited from class com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist

      `copy, createSingleVariantMultivariantPlaylist`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HlsMasterPlaylist

          @Deprecated
          public HlsMasterPlaylist​(String baseUri,
                                   List<String> tags,
                                   List<HlsMultivariantPlaylist.Variant> variants,
                                   List<HlsMultivariantPlaylist.Rendition> videos,
                                   List<HlsMultivariantPlaylist.Rendition> audios,
                                   List<HlsMultivariantPlaylist.Rendition> subtitles,
                                   List<HlsMultivariantPlaylist.Rendition> closedCaptions,
                                   @Nullable
                                   Format muxedAudioFormat,
                                   @Nullable
                                   List<Format> muxedCaptionFormats,
                                   boolean hasIndependentSegments,
                                   Map<String,​String> variableDefinitions,
                                   List<DrmInitData> sessionKeyDrmInitData)

      Deprecated.
      Use `HlsMultivariantPlaylist(java.lang.String, java.util.List<java.lang.String>, java.util.List<com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist.Variant>, java.util.List<com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist.Rendition>, java.util.List<com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist.Rendition>, java.util.List<com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist.Rendition>, java.util.List<com.google.android.exoplayer2.source.hls.playlist.HlsMultivariantPlaylist.Rendition>, com.google.android.exoplayer2.Format, java.util.List<com.google.android.exoplayer2.Format>, boolean, java.util.Map<java.lang.String, java.lang.String>, java.util.List<com.google.android.exoplayer2.drm.DrmInitData>)` instead.
      Creates an HLS multivariant playlist.